Skip to main content
POST
/
platform-api
/
v1
/
customers
/
notes
Get customer notes
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/customers/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>"
}
'
{
  "success": true,
  "notes": [
    {
      "id": "54b9f80f-e4b4-47b5-9b41-132bc13e6f3f",
      "customer_id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
      "note": "new note",
      "role": "agent",
      "agent_id": "818568b8-71ad-47e7-a73d-84a4cb5d6fd1",
      "created_at": "2026-05-29T17:26:57.482363Z",
      "updated_at": "2026-05-29T17:26:57.482363Z"
    }
  ]
}
{
  "success": true,
  "notes": [
    {
      "id": "54b9f80f-e4b4-47b5-9b41-132bc13e6f3f",
      "customer_id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
      "note": "new note",
      "role": "agent",
      "agent_id": "818568b8-71ad-47e7-a73d-84a4cb5d6fd1",
      "created_at": "2026-05-29T17:26:57.482363Z",
      "updated_at": "2026-05-29T17:26:57.482363Z"
    }
  ]
}
Get notes for a customer.

Required access

AuthenticationScopeDataset grant
API client v2customers:readcustomers

Body

customerId
string
required
Customer UUID to fetch notes for. Open a customer in the Customer module and use the last UUID in the URL: /dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.
includeLinkedContacts
boolean
default:"false"
Include notes from linked contacts.

Query parameters

page
integer
default:"1"
Page number.
page_size
integer
default:"20"
Records per page. Maximum value is 200.

Response

success
boolean
required
Whether the request succeeded.
notes
object[]
required
Customer notes.